Skip to content

Merchants

Allows lenders to keep track of merchants associated with loans and purchases. Merchant details can be shown in the Peach Borrower Portal. The following attributes are shown to a borrower:

NAME businessName

ADDRESS address

DEPARTMENT OR CONTACT NAME primaryContactName

EMAIL primaryContactEmail

PHONE primaryContactPhone

Get merchants

Request

Security
oauth2(Required scopes: merchant:list) or bearerAuth or apiKeyHeader
Path
companyIdstringrequired

The unique company identifier.

Query
parentMerchantIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-only

The parent merchant identifier. Used to represent hierarchy of merchant sub entities. Can be Peach or lender's external identifier.

GET
/companies/{companyId}/merchants
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/companies/{companyId}/merchants?parentMerchantId=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Total number of items in this result.

statusinteger

HTTP status code.

dataobject(Merchant)
Response
{ "count": 0, "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "address": { … }, "businessName": "string", "businessTypeDisplayName": "string", "disputesContactEmail": "string", "disputesContactName": "string", "disputesContactPhone": "string", "externalId": "string", "parentMerchantId": "string", "primaryContactEmail": "string", "primaryContactName": "string", "primaryContactPhone": "string", "subEntityname": "string" } }